Bug 1174333 - CVE-2014-9253 dokuwiki: XSS via SFW file upload [epel-6]
Summary: CVE-2014-9253 dokuwiki: XSS via SFW file upload [epel-6]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: dokuwiki
Version: el6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam Tkac
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2014-9253
TreeView+ depends on / blocked
 
Reported: 2014-12-15 16:20 UTC by Martin Prpič
Modified: 2015-03-26 22:07 UTC (History)
3 users (show)

Fixed In Version: dokuwiki-0-0.24.20140929c.fc22
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-25 19:58:30 UTC
Type: ---


Attachments (Terms of Use)

Description Martin Prpič 2014-12-15 16:20:19 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

epel-6 tracking bug for dokuwiki: see blocks bug list for full details of the security issue(s).

This bug is never intended to be made public, please put any public notes
in the blocked bugs.

[bug automatically created by: add-tracking-bugs]

Comment 1 Martin Prpič 2014-12-15 16:20:24 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1174330,1174333

# Description of your update
notes=Security fix for CVE-2014-9253

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1174330,1174333

Comment 2 Fedora Update System 2014-12-26 15:22:44 UTC
dokuwiki-0-0.23.20140929b.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.23.20140929b.el5

Comment 3 Fedora Update System 2014-12-26 15:23:02 UTC
dokuwiki-0-0.23.20140929b.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.23.20140929b.el6

Comment 4 Fedora Update System 2014-12-26 15:23:23 UTC
dokuwiki-0-0.23.20140929b.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.23.20140929b.fc21

Comment 5 Fedora Update System 2014-12-26 15:23:44 UTC
dokuwiki-0-0.23.20140929b.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.23.20140929b.fc19

Comment 6 Fedora Update System 2014-12-26 15:23:56 UTC
dokuwiki-0-0.23.20140929b.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.23.20140929b.fc20

Comment 7 Fedora Update System 2014-12-26 19:48:56 UTC
Package dokuwiki-0-0.23.20140929b.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing dokuwiki-0-0.23.20140929b.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-4917/dokuwiki-0-0.23.20140929b.el5
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2015-03-03 09:02:10 UTC
dokuwiki-0-0.24.20140929c.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.24.20140929c.fc21

Comment 9 Fedora Update System 2015-03-03 09:02:34 UTC
dokuwiki-0-0.24.20140929c.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.24.20140929c.el7

Comment 10 Fedora Update System 2015-03-03 09:02:53 UTC
dokuwiki-0-0.24.20140929c.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.24.20140929c.el6

Comment 11 Fedora Update System 2015-03-03 09:03:13 UTC
dokuwiki-0-0.24.20140929c.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.24.20140929c.fc20

Comment 12 Fedora Update System 2015-03-03 09:03:34 UTC
dokuwiki-0-0.24.20140929c.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.24.20140929c.el5

Comment 13 Fedora Update System 2015-03-03 09:03:54 UTC
dokuwiki-0-0.24.20140929c.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.24.20140929c.fc22

Comment 14 Fedora Update System 2015-03-25 19:58:30 UTC
dokuwiki-0-0.24.20140929c.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-03-25 20:03:27 UTC
dokuwiki-0-0.24.20140929c.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-03-26 21:39:20 UTC
dokuwiki-0-0.24.20140929c.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2015-03-26 21:43:59 UTC
dokuwiki-0-0.24.20140929c.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-03-26 22:07:30 UTC
dokuwiki-0-0.24.20140929c.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.